# Quick Start Guide

* **Julia:** If this is your first time using Julia visit our [Introduction to Julia](https://nrel-siip.github.io/SIIP-Tutorial/fundamentals/introduction-to-julia/) and the official[Getting started with Julia](https://julialang.org/learning/).
* **Package Installation:** If you want to install packages check the [Package Manager](https://pkgdocs.julialang.org/v1/environments/) instructions, or you can refer to the [PowerSimulations installation instructions](@ref Installation). 
* **PowerSystems:** [PowerSystems.jl](https://github.com/nrel-siip/PowerSystems.jl) manages the data and is a fundamental dependency of PowerSimulations.jl. Check the [Understanding PowerSystems.jl page](https://nrel-siip.github.io/SIIP-Tutorial/how-to/understanding-powersystems-components/) and [PowerSystems.jl documentation](https://nrel-siip.github.io/PowerSystems.jl/stable/) to understand how the inputs to the models are organized.
* **Dataset Library:** If you don't have a data set to start using `PowerSimulations.jl` check the test systems provided in [`PowerSystemCaseBuilder.jl`](https://nrel-siip.github.io/SIIP-Tutorial/how-to/power-system-case-builder/)

!!! tip
    If you need to develop a dataset for a simulation check the [tutorials](https://nrel-siip.github.io/SIIP-Tutorial/) on how to parse data and attach time series

* **Tutorial:** If you are eager to run your first simulation visit the [Solve a Day Ahead Market Scheduling Problem using PowerSimulations.jl](https://nrel-siip.github.io/SIIP-Tutorial/fundamentals/day-ahead-market/) tutorial
